html,
body {
  width: 100%;
  height: 100%;
  margin: 0;
  color: #333;
  font-size: 14px;
  font-family: -apple-system, BlinkMacSystemFont, Helvetica Neue, PingFang SC, Microsoft YaHei, Source Han Sans SC, Noto Sans CJK SC, WenQuanYi Micro Hei, sans-serif;
  background-color: #d72d2d;
  overscroll-behavior-y: none;
  -webkit-overflow-scrolling: touch;
}

body {
  max-width: 720px;
  margin: auto;
  background-color: #ff4443;
}

.search {
  position: fixed;
  top: 0px;
  /* bottom: 0; */
  width: 720px;
  background-color: #d72d2d;
  border-bottom: 1px solid #cb6565;
  /* border-top: 1px solid #cb6565; */
}

.search > form {
  padding: 0 20px;
}

input,
.seltext {
  border: none;
  outline: none;
  background: none;
  box-sizing: border-box;
  border-radius: 0;
  -webkit-appearance: none;
  padding: 10px 15px;
  /* border: 1px solid #ddd; */
  width: 100%;
  color: #333;
  background-color: #fff;
  transition: 0.25s;
}

input:focus{
  border: 2px solid #8f2323;
  box-shadow: 0 1px 5px #b92e2e;
}

input:disabled,
textarea:disabled {
  opacity: 0.6;
  cursor: not-allowed;
}

input[type='checkbox'],
input[type='radio'] {
  appearance: revert;
}

.seltext {
  display: flex;
  padding: 0;
}

.seltext > select,
.seltext > input {
  border: none;
  margin: 0;
}

.seltext > select:focus,
.seltext > input:focus {
  border: none;
  outline: none;
  box-shadow: none;
}

.seltext > select {
  text-align: center;
  background-color: #efefef;
  padding: 0 20px;
  appearance: none;
  border-right: 1px solid #ddd;
  transition: 0.25s;
  color: #333;
}

.seltext > select:focus {
  border-right: 1px solid #ddd;
}

.seltext:hover {
  box-shadow: 0 1px 5px #af3f3f;
}

.cats > label {
  position: relative;
  color: #fff;
  font-weight: bold;
}

.cats > label > span {
  padding: 0 5px 5px 5px;
  transition: 0.25s;
  cursor: pointer;
  display: inline-block;
}

.cats > label > input[type="radio"] {
  opacity: 0;
  width: 1px;
  height: 1px;
  position: absolute;
  top: 1px;
  left: 1px;
  transition: 0.25s;
}

.cats > label > input[type="radio"]:checked ~ span {
  font-size: 18px;
  border-bottom: 4px solid #e7fe3e;
}

.flex {
  display: flex;
}

.flex.ws > div {
  flex: 0 320px;
  position: relative;
}

.search > form > div {
  margin-top: 15px;
}

.list {
  padding: 0 5px;
  background-color: #ff4443;
  display: flex;
  flex-wrap: wrap;
}

.item {
  cursor: pointer;
  background-color: #fff;
  width: 173px;
  margin-right: 6px;
  margin-bottom: 5px;
}

.item:nth-child(4n) {
  margin-right: 0;
}

.item > .wpic {
  display: flex;
  flex-shrink: 0;
}

.item > .wpic > img {
  width: 100%;
  object-fit: cover;
}

.item > .info {
  padding: 5px;
  flex: 1;
}

.item > .info > .t1 {
  font-size: 13px;
  display: -webkit-box; 
  -webkit-box-orient: vertical; 
  -webkit-line-clamp: 2; 
  overflow: hidden; 
  text-overflow: ellipsis; 
}

.item > .info > .t2 {
  font-size: 16px;
}

.item > .info > .t2 > .sprice {
  color: #d72d2d;
  font-weight: bold;
}

.item > .info > .t2 > .gprice  {
  color: #d72d2d;
  font-weight: bold;
}

.item > .info > .t3 {
  font-size: 12px;
  color: #999;
  margin-top: 2px;
}

.item > .info > .t2 > span,
.item > .info > .t3 > span {
  margin-right: 5px;
}

.count {
  font-size: 14px;
  font-weight: bold;
  text-align: center;
  color: #fff;
  margin-top: 5px;
}

@keyframes rightto {
  0% {
    opacity: 0;
  }

  100% {
    opacity: 1;
  }
}

#loading {
  text-align: center;
  margin-top: 20px;
  transition: 0.25s;
  /* animation: rightto 0.35s forwards; */
}

#loading > img {
  width: 16px;
}

@keyframes show_formbox {
  0% {
    opacity: 0;
    bottom: -150px;
  }

  100% {
    opacity: 1;
    bottom: 0;
  }
}

#iframes {
  width: 100%;
  height: 100%;
  position: fixed;
  left: 0;
  bottom: 0;
  z-index: 3;
}

#iframes > iframe {
  width: 720px;
  height: 85%;
  position: fixed;
  left: calc(50% - 360px);
  bottom: 0;
  z-index: 4;
  border: none;
  border-radius: 4px 4px 0 0;
  box-shadow: 0 1px 5px #777;
  animation: show_formbox 0.3s forwards;
}

#iframes > .wxapp {
  width: 320px;
  position: fixed;
  left: calc(50% - 170px);
  z-index: 4;
  top: calc(50% - 220px);
  border: none;
  background-color: #fff;
  padding: 10px;
}

.wxapp > img {
  width: 320px;
  height: 320px;
  object-fit: cover;
  display: block;
}

@keyframes wxbtn {
  0% {
    bottom: -10px;
  }

  100% {
    bottom: -5px;
  }
}

.wxapp > .btn {
  position: relative;
}

.wxapp > .btn > button {
  text-align: center;
  width: 100%;
  border: none;
  padding: 12px 0;
  margin-top: 10px;
  color: #fff;
  font-size: 16px;
  font-weight: bold;
  background-color: #df2e34;
  position: relative;
  z-index: 2;
  bottom: -5px;
  animation: wxbtn 0.45s infinite;
}

.wxapp > .btn > .btom {
  height: 10px;
  background-color: #c2272d;
}

#iframes > .bags {
  position: fixed;
  z-index: 3;
  width: 100%;
  height: 100%;
  left: 0;
  top: 0;
  background-color: rgba(0,0,0,0.5);
}

.search table {
  color: #fff;
  text-align: center;
  margin: auto;
}

.pay {
  display: block;
}

.pay > .item {
  width: 100%;
  margin-right: 0;
  display: flex;
  cursor: auto;
}

.pay > .item > .wpic {
  margin-right: 0;
  flex-shrink: 0;
  width: 100px;
  padding: 5px;
}

.p404 {
  font-weight: bold;
  text-align: center;
  color: #831e1e;
  font-size: 16px;
  padding-top: 50px;
}

.wxweb {
  text-align: center;
  padding: 0 20px;
}

.wxweb > div[name="logo"] {
  border-radius: 999px;
  overflow: hidden;
  width: 100px;
  margin: auto;
}

.wxweb > div[name="logo"] > img {
  width: 100%;
  display: block;
}

.wxweb > div[name="title"] {
  font-size: 22px;
  font-weight: bold;
  text-align: center;
  margin-top: 20px;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}

.wxweb > div[name="desc"] {
  font-size: 18px;
  text-align: center;
  margin-top: 5px;
}

.wxweb > div[name="note"] {
  font-size: 14px;
  color: #999;
  text-align: center;
  margin-top: 5px;
  padding: 0 20px;
}

.wxweb > div[name="ftn"] {
  font-size: 14px;
  color: #999;
  text-align: center;
  margin-top: 90px;
}

.wxweb > button {
  border: none;
  background-color: #07c160;
  color: #fff;
  font-size: 18px;
  font-weight: bold;
  padding: 12px 25px;
  border-radius: 5px;
  margin-top: 10px;
  cursor: pointer;
} 


@media screen and (max-width:640px) {
  .body {
    padding-top: 0;
    font-size: 16px;
  }

  .search * {
    font-size: 16px;
  }

  .item > .info > .t1 {
    font-size: 14px;
  }

  .item > .info > .t2 {
    font-size: 18px;
  }

  .item > .info > .t3 {
    font-size: 13px;
  }

  #iframes > iframe {
    width: 100%;
    left: 0;
    height: 90%;
  }

  .search {
    width: 100%;
  }

  .cats > label > input[type="radio"]:checked ~ span {
    font-size: 20px;
  }

  .item {
    cursor: pointer;
    background-color: #fff;
    width: calc(50% - 2.5px);
    margin-right: 5px;
    margin-bottom: 5px;
  }

  .item:nth-child(2n) {
    margin-right: 0;
  }

  .search table * {
    font-size: 14px;
  }

  .p404 {
    font-size: 20px;
  }

  .wxapp > .btn > button {
    font-size: 16px;
  }
}

